## javax.media.j3d
Class SceneGraphCycleException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  javax.media.j3d.IllegalSceneGraphException
                      javax.media.j3d.SceneGraphCycleException

All Implemented Interfaces:
  java.io.Serializable

    public class SceneGraphCycleException

extends IllegalSceneGraphException

Indicates a graph that contains a cycle. Java 3D scene graphs are directed acyclic graphs and, as such, do not permit cycles. This exception is thrown when a graph containing a cycle:

- is made live
- is compiled
- is cloned
- has getBounds() called on it.

See Also:
  Serialized Form

Constructor Summary
`SceneGraphCycleException()` Create the exception object with default values.
`SceneGraphCycleException(java.lang.String str)` Create the exception object that outputs message.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SceneGraphCycleException

    public SceneGraphCycleException()

  Create the exception object with default values.

### SceneGraphCycleException

    public SceneGraphCycleException(java.lang.String str)

  Create the exception object that outputs message.

  Parameters:
    `str` - the message string to be output.

Copyright 1996-2008 Sun Microsystems, Inc. All Rights Reserved. Use is subject to license terms.